Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
ezuspsservices Class Reference

## Public Member Functions
| ezuspsget ($ser=false, $user=false, $pwd=false, $totarr=false, $wgt="", $dzip=false, $dsta=false, $dcou=false, $ozip=false, $sta=false, $cou=false, $street1=false, $street2=false, $mach="false")
| getservice ()
| getweight ()
| setpounds ()
| setcontainer ()
| setsize ()
| verifyaddress ()
| getresult ()
| getFlatResult ()
| ezuspsget ($ser, $user, $pwd, $totarr, $wgt="", $dzip, $dsta, $dcou, $ozip, $sta, $cou, $street1, $street2="", $mach="false")
| getservice ()
| getweight ()
| setpounds ()
| setcontainer ()
| setsize ()
| verifyaddress ()
| getresult ()
| getFlatResult ()

## Public Attributes
| $server
| $user
| $pass
| $totalarr
| $weight
| $destzip
| $deststate
| $destcountry
| $orginzip
| $state
| $country
| $mach
| $destaddress1
| $destaddress2
| $container
| $size
| $service
| $pounds
| $ounce
| $status
| $num
| $res
| $xmlreturndata
| $xmlreturnstatus
| $totsize
| $count
| $height
| $width
| $length
| $machinable
| $nocombine

## Detailed Description

Definition at line 9 of file ezusps-cleaner.php.

## Member Function Documentation

## ◆ ezuspsget() [1/2]

ezuspsservices::ezuspsget | ( |  | $ser,
|  |  | $user,
|  |  | $pwd,
|  |  | $totarr,
|  |  | $wgt = `""`,
|  |  | $dzip,
|  |  | $dsta,
|  |  | $dcou,
|  |  | $ozip,
|  |  | $sta,
|  |  | $cou,
|  |  | $street1,
|  |  | $street2 = `""`,
|  |  | $mach = `"false"`
| ) |  |

Definition at line 11 of file ezusps.php.

References $mach, $num, $user, getresult(), and getservice().

## ◆ ezuspsget() [2/2]

ezuspsservices::ezuspsget | ( |  | $ser = `false`,
|  |  | $user = `false`,
|  |  | $pwd = `false`,
|  |  | $totarr = `false`,
|  |  | $wgt = `""`,
|  |  | $dzip = `false`,
|  |  | $dsta = `false`,
|  |  | $dcou = `false`,
|  |  | $ozip = `false`,
|  |  | $sta = `false`,
|  |  | $cou = `false`,
|  |  | $street1 = `false`,
|  |  | $street2 = `false`,
|  |  | $mach = `"false"`
| ) |  |

Definition at line 43 of file ezusps-cleaner.php.

References $mach, $num, $user, getresult(), and getservice().

## ◆ getFlatResult() [1/2]

ezuspsservices::getFlatResult | ( |  | ) |

Definition at line 729 of file ezusps-cleaner.php.

References $box.

Referenced by getresult().

## ◆ getFlatResult() [2/2]

ezuspsservices::getFlatResult | ( |  | ) |

Definition at line 653 of file ezusps.php.

References $box.

## ◆ getresult() [1/2]

ezuspsservices::getresult | ( |  | ) |

Definition at line 213 of file ezusps-cleaner.php.

References $count, $desc, $haystack, $height, $i, $j, $response, $ret, $service, $str, $weight, $xmlreturndata, and getFlatResult().

Referenced by ezuspsget().

## ◆ getresult() [2/2]

ezuspsservices::getresult | ( |  | ) |

Definition at line 183 of file ezusps.php.

References $count, $desc, $height, $i, $j, $response, $service, $str, $weight, $xmlreturndata, and getFlatResult().

## ◆ getservice() [1/2]

ezuspsservices::getservice | ( |  | ) |

Definition at line 84 of file ezusps-cleaner.php.

References $service.

Referenced by ezuspsget().

## ◆ getservice() [2/2]

ezuspsservices::getservice | ( |  | ) |

Definition at line 56 of file ezusps.php.

References $service.

## ◆ getweight() [1/2]

ezuspsservices::getweight | ( |  | ) |

Definition at line 125 of file ezusps-cleaner.php.

References $weight.

## ◆ getweight() [2/2]

ezuspsservices::getweight | ( |  | ) |

Definition at line 95 of file ezusps.php.

References $weight.

## ◆ setcontainer() [1/2]

ezuspsservices::setcontainer | ( |  | ) |

Definition at line 148 of file ezusps-cleaner.php.

## ◆ setcontainer() [2/2]

ezuspsservices::setcontainer | ( |  | ) |

Definition at line 118 of file ezusps.php.

## ◆ setpounds() [1/2]

ezuspsservices::setpounds | ( |  | ) |

Definition at line 137 of file ezusps-cleaner.php.

References $weight.

## ◆ setpounds() [2/2]

ezuspsservices::setpounds | ( |  | ) |

Definition at line 107 of file ezusps.php.

References $weight.

## ◆ setsize() [1/2]

ezuspsservices::setsize | ( |  | ) |

Definition at line 157 of file ezusps-cleaner.php.

References $height, and $totalarr.

## ◆ setsize() [2/2]

ezuspsservices::setsize | ( |  | ) |

Definition at line 127 of file ezusps.php.

References $height, and $totalarr.

## ◆ verifyaddress() [1/2]

ezuspsservices::verifyaddress | ( |  | ) |

Definition at line 183 of file ezusps-cleaner.php.

References $str.

## ◆ verifyaddress() [2/2]

ezuspsservices::verifyaddress | ( |  | ) |

Definition at line 153 of file ezusps.php.

References $str.

## Member Data Documentation

## ◆ $container

ezuspsservices::$container

Definition at line 25 of file ezusps-cleaner.php.

## ◆ $count

ezuspsservices::$count

Definition at line 36 of file ezusps-cleaner.php.

Referenced by getresult().

## ◆ $country

ezuspsservices::$country

Definition at line 21 of file ezusps-cleaner.php.

## ◆ $destaddress1

ezuspsservices::$destaddress1

Definition at line 23 of file ezusps-cleaner.php.

## ◆ $destaddress2

ezuspsservices::$destaddress2

Definition at line 24 of file ezusps-cleaner.php.

## ◆ $destcountry

ezuspsservices::$destcountry

Definition at line 18 of file ezusps-cleaner.php.

## ◆ $deststate

ezuspsservices::$deststate

Definition at line 17 of file ezusps-cleaner.php.

## ◆ $destzip

ezuspsservices::$destzip

Definition at line 16 of file ezusps-cleaner.php.

## ◆ $height

ezuspsservices::$height

Definition at line 37 of file ezusps-cleaner.php.

Referenced by getresult(), and setsize().

## ◆ $length

ezuspsservices::$length

Definition at line 39 of file ezusps-cleaner.php.

## ◆ $mach

ezuspsservices::$mach

Definition at line 22 of file ezusps-cleaner.php.

Referenced by ezuspsget().

## ◆ $machinable

ezuspsservices::$machinable

Definition at line 40 of file ezusps-cleaner.php.

## ◆ $nocombine

ezuspsservices::$nocombine

Definition at line 41 of file ezusps-cleaner.php.

## ◆ $num

ezuspsservices::$num

Definition at line 31 of file ezusps-cleaner.php.

Referenced by ezuspsget().

## ◆ $orginzip

ezuspsservices::$orginzip

Definition at line 19 of file ezusps-cleaner.php.

## ◆ $ounce

ezuspsservices::$ounce

Definition at line 29 of file ezusps-cleaner.php.

## ◆ $pass

ezuspsservices::$pass

Definition at line 13 of file ezusps-cleaner.php.

## ◆ $pounds

ezuspsservices::$pounds

Definition at line 28 of file ezusps-cleaner.php.

## ◆ $res

ezuspsservices::$res

Definition at line 32 of file ezusps-cleaner.php.

## ◆ $server

ezuspsservices::$server

Definition at line 11 of file ezusps-cleaner.php.

## ◆ $service

ezuspsservices::$service

Definition at line 27 of file ezusps-cleaner.php.

Referenced by getresult(), and getservice().

## ◆ $size

ezuspsservices::$size

Definition at line 26 of file ezusps-cleaner.php.

## ◆ $state

ezuspsservices::$state

Definition at line 20 of file ezusps-cleaner.php.

## ◆ $status

ezuspsservices::$status

Definition at line 30 of file ezusps-cleaner.php.

## ◆ $totalarr

ezuspsservices::$totalarr

Definition at line 14 of file ezusps-cleaner.php.

Referenced by setsize().

## ◆ $totsize

ezuspsservices::$totsize

Definition at line 35 of file ezusps-cleaner.php.

## ◆ $user

ezuspsservices::$user

Definition at line 12 of file ezusps-cleaner.php.

Referenced by ezuspsget().

## ◆ $weight

ezuspsservices::$weight

Definition at line 15 of file ezusps-cleaner.php.

Referenced by getresult(), getweight(), and setpounds().

## ◆ $width

ezuspsservices::$width

Definition at line 38 of file ezusps-cleaner.php.

## ◆ $xmlreturndata

ezuspsservices::$xmlreturndata

Definition at line 33 of file ezusps-cleaner.php.

Referenced by getresult().

## ◆ $xmlreturnstatus

ezuspsservices::$xmlreturnstatus

Definition at line 34 of file ezusps-cleaner.php.

The documentation for this class was generated from the following files:

- ezusps-cleaner.php
- ezusps.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.